require "import"
import "android.media.MediaPlayer"
import "android.widget.*"
import "com.androlua.*"

local function playMetronome(speed, compases)
    if ti then
        ti.stop()
        service.asyncSpeak("đã dừng")
        ti = nil
        return true
    end

    local contador = 0
    ti = Ticker()
    ti.Period = 60000 / speed
    ti.onTick = function()
        if contador >= 18000000000 then
            ti.stop()
            return true
        end

        if contador % compases == 0 then
            service.asyncSpeak("1")
        else
            service.speak("2")
        end

        contador = contador + 1

        return true
    end

    ti.start()
      service.speak("một, hai, ba")
    return true
end

if ti then
    ti.stop()
        service.asyncSpeak("đã tắt máy đếm nhịp")
    ti = nil
    return true
end

service.asyncSpeak("Nhịp hai")

local s = {}
for i = 20, 300 do
    table.insert(s, tostring(i))
end

local layout = {
    GridView,
    id = "grid",
    numColumns = 1,
    layout_width = "fill",
    layout_height = "fill"
}

local dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
grid.adapter = SingleLineAdapter(service, s)
dlg.setButton("Thoát", nil)
dlg.show()

grid.onItemClick = function(l, v)
    task(100, function()
        dlg.dismiss()

        local speed = tonumber(v.text)
        playMetronome(speed, 2)
    end)
end